package au.asn.ucc.ticker;

import java.util.EventObject;

/**
 *
 * $Id: PriorityChangeEvent.java 22 2009-11-17 13:01:15Z rvvs89 $
 * @author rvvs89
 */
public class PriorityChangeEvent extends EventObject {

    private final PriorityEnum oldVal;
    private final PriorityEnum newVal;

    public PriorityChangeEvent(Object source, PriorityEnum oldVal, PriorityEnum newVal) {
        super(source);
        this.oldVal = oldVal;
        this.newVal = newVal;
    }

    /**
     * @return the oldVal
     */
    public PriorityEnum getOldVal() {
        return oldVal;
    }

    /**
     * @return the newVal
     */
    public PriorityEnum getNewVal() {
        return newVal;
    }
    private static final long serialVersionUID = 3852003478258081041L;
}
